#pragma once

#include "pgmspace.h"

const unsigned char tab48426[5] PROGMEM;
const unsigned char tab47492[] PROGMEM;
const unsigned char amplitudeRescale[] PROGMEM;
// Used to decide which phoneme's blend lengths. The candidate with the lower score is selected.
// tab45856
const unsigned char blendRank[] PROGMEM;
// Number of frames at the end of a phoneme devoted to interpolating to next phoneme's final value
//tab45696
const unsigned char outBlendLength[] PROGMEM;
// Number of frames at beginning of a phoneme devoted to interpolating to phoneme's final value
// tab45776
const unsigned char inBlendLength[] PROGMEM;
// tab45936
const unsigned char sampledConsonantFlags[] PROGMEM;
//tab45056
unsigned char freq1data[];
//tab451356
unsigned char freq2data[];
//tab45216
unsigned char freq3data[];

const unsigned char ampl1data[] PROGMEM;
const unsigned char ampl2data[] PROGMEM;
const unsigned char ampl3data[] PROGMEM;
//tab42240
const signed char sinus[256] PROGMEM;
//tab42496
const unsigned char rectangle[] PROGMEM;
//random data ?
const unsigned char sampleTable[0x500] PROGMEM;
